<?php
$checked_text = '';
if ($matches && isset($matches[0]['url'])) {
  $words = explode(' ', $text);
  if ($highlight && is_array($highlight)) {
    for ($i = 0; $i < count($highlight); $i++) {
      $start = $highlight[$i][0];
      $end = $highlight[$i][1];
      if (isset($words[$start]) && isset($words[$end])) {
        $words[$start] = '<span class="ucwp-match-word">' . $words[$start];
        $words[$end] = $words[$end] . '</span>';
      }
    }
    $checked_text = join(' ', $words);
  }
}
if ($status === 'checked') {
  $result_class =
    $percent >= 25
      ? 'ucwp-result-red'
      : ($percent < 15
        ? 'ucwp-result-green'
        : 'ucwp-result-orange');
}
?>
<input type="hidden" id="ucwp-progress-text" value="<?php esc_html_e(
  'Uniqueness check in progress',
  'uniqcont'
); ?>">
<?php if ($status === 'processing'): ?>
    <div class="ucwp_for_check">
        <?php esc_html_e('Uniqueness check in progress', 'uniqcont'); ?><br/>
        <span class="button ucwp-check-post-btn" data-check="0" data-nonce="<?php echo esc_attr(
          $nonce
        ); ?>" data-id="<?php echo intval($post_id); ?>"><?php esc_html_e(
  'Get results without page reload',
  'uniqcont'
); ?></span>
    </div>
    <div id="ucwp_result"></div>
<?php else: ?>
    <span class="button ucwp-check-post-btn" data-check="1" data-nonce="<?php echo esc_attr(
      $nonce
    ); ?>" data-id="<?php echo intval($post_id); ?>"><?php esc_html_e(
  'Check text',
  'uniqcont'
); ?></span>
    <?php if ($status === 'checked'): ?>
        <div class="ucwp_column_value">
            <p class="ucwp_result"> <?php esc_html_e(
              'Uniqueness',
              'uniqcont'
            ); ?>: <span class="<?php echo esc_attr(
  $result_class
); ?> ucwp-result-value"><?php echo esc_attr(100 - $percent); ?>%</span></p>
            <?php if ($matches && isset($matches[0]['url'])): ?>
                <table class='cw_results_table'>
                    <tr>
                        <th><?php esc_html_e('Page URL', 'uniqcont'); ?></th>
                        <th><?php esc_html_e('Matching', 'uniqcont'); ?></th>
                    </tr>
                    <?php foreach ($matches as $match): ?>
                        <tr>
                            <td><a href="<?php echo esc_attr(
                              $match['url']
                            ); ?>" target="_blank"><?php echo esc_attr(
  urldecode($match['url'])
); ?></a></td>
                            <td><?php echo esc_attr($match['percent']); ?>%</td>
                        </tr>
                    <?php endforeach; ?>
                </table>
                <p>
                    <span class="button ucwp-show-matches" data-show="<?php esc_html_e(
                      'Show matches',
                      'uniqcont'
                    ); ?>" data-hide="<?php esc_html_e(
  'Hide matches',
  'uniqcont'
); ?>"><?php esc_html_e('Show matches', 'uniqcont'); ?></span>
                </p>
                <p class="ucwp-text-matches">
                    <?php echo wp_kses_post($checked_text); ?>
                </p>
            <?php endif; ?>
        </div>
    <?php elseif ($status === 'error'): ?>
        <div class="ucwp_column_value">
            <p class="ucwp_result"> <?php esc_html_e(
              'Check error',
              'uniqcont'
            ); ?>: <?php echo esc_attr($error_msg); ?></p>
        </div>
    <?php endif; ?>
<?php endif; ?>
